### Hierarchy

- EventTarget
  - RTCDTMFSender

## Index

### Properties

- EventTarget
- canInsertDTMF
- ontonechange
- toneBuffer

### Methods

- addEventListener
- dispatchEvent
- insertDTMF
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### canInsertDTMF

canInsertDTMF: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11309

### ontonechange

ontonechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11310

### toneBuffer

toneBuffer: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11311

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11313

  #### Type parameters

  - #### K: keyof RTCDTMFSenderEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCDTMFSender, ev: RTCDTMFSenderEventMap[K]): any

      - #### Parameters

        - ##### this: RTCDTMFSender

        - ##### ev: RTCDTMFSenderEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11314

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### insertDTMF

- insertDTMF(tones: string, duration?: undefined | number, interToneGap?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11312

  #### Parameters

  - ##### tones: string

  - ##### Optional duration: undefined | number

  - ##### Optional interToneGap: undefined | number

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11315

  #### Type parameters

  - #### K: keyof RTCDTMFSenderEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCDTMFSender, ev: RTCDTMFSenderEventMap[K]): any

      - #### Parameters

        - ##### this: RTCDTMFSender

        - ##### ev: RTCDTMFSenderEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11316

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc